package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFIQ2DataProdCandDetails {

    private Map<String, Object> params;
    
    public MWFIQ2DataProdCandDetails(Map<String, Object> params) {
        this.params = params;
    }

    public java.util.Date rsDatumprvnisplatky() {
        return (java.util.Date) params.get("RS_DATUMPRVNISPLATKY");
    }

    public String rsOdkladsplatek() {
        return (String) params.get("RS_ODKLADSPLATEK");
    }

    public Double rsPojistenipoplatek() {
        return (Double) params.get("RS_POJISTENIPOPLATEK");
    }

    public Long rsVyseuveru() {
        return (Long) params.get("RS_VYSEUVERU");
    }

    public String rsVariantazvolenaflag() {
        return (String) params.get("RS_VARIANTAZVOLENAFLAG");
    }

    public Double rsMesicnisplatka() {
        return (Double) params.get("RS_MESICNISPLATKA");
    }

    public Double rsUrokovasazba() {
        return (Double) params.get("RS_UROKOVASAZBA");
    }

    public String rsVariantadoporucenaflag() {
        return (String) params.get("RS_VARIANTADOPORUCENAFLAG");
    }

    public String rsVariantatyp() {
        return (String) params.get("RS_VARIANTATYP");
    }

    public String rsTerm() {
        return (String) params.get("RS_TERM");
    }

    public Double rsRpsn() {
        return (Double) params.get("RS_RPSN");
    }

    public Long rsVariantaKey() {
        return (Long) params.get("RS_VARIANTA_KEY");
    }

    public String rsDeninkasnisplatky() {
        return (String) params.get("RS_DENINKASNISPLATKY");
    }

    public String rsKodproduktu() {
        return (String) params.get("RS_KODPRODUKTU");
    }

    public String rsPojisteni() {
        return (String) params.get("RS_POJISTENI");
    }

    public String rsEmbosstyp() {
        return (String) params.get("RS_EMBOSSTYP");
    }

    public String rsCobrandkarty() {
        return (String) params.get("RS_COBRANDKARTY");
    }

    public String rsDesignkarty() {
        return (String) params.get("RS_DESIGNKARTY");
    }

    public String rsKartaasociace() {
        return (String) params.get("RS_KARTAASOCIACE");
    }

    public String rsKodproduktusales() {
        return (String) params.get("RS_KODPRODUKTUSALES");
    }

    public String rsVernostniprogram() {
        return (String) params.get("RS_VERNOSTNIPROGRAM");
    }

    public String rsPromoakce() {
        return (String) params.get("RS_PROMOAKCE");
    }

    public String rsTypkarty() {
        return (String) params.get("RS_TYPKARTY");
    }

    public String rsCislosmlouvyvarianty() {
        return (String) params.get("RS_CISLOSMLOUVYVARIANTY");
    }

    public Double rsVelikostzalohy() {
        return (Double) params.get("RS_VELIKOSTZALOHY");
    }

    public String rsBrandkarty() {
        return (String) params.get("RS_BRANDKARTY");
    }

    public String rsPovoleniinettransakci() {
        return (String) params.get("RS_POVOLENIINETTRANSAKCI");
    }

    public Double rsAutorizacnilimitBezhotovostni() {
        return (Double) params.get("RS_AUTORIZACNILIMIT_BEZHOTOVOSTNI");
    }

    public Double rsAutorizacnilimitHotovost() {
        return (Double) params.get("RS_AUTORIZACNILIMIT_HOTOVOST");
    }

    public String rsAutorizacnilimitTyp() {
        return (String) params.get("RS_AUTORIZACNILIMIT_TYP");
    }

    public Double rsAutorizacnilimitProcento() {
        return (Double) params.get("RS_AUTORIZACNILIMIT_PROCENTO");
    }

    public Double rsMinprocentosplatky() {
        return (Double) params.get("RS_MINPROCENTOSPLATKY");
    }

    public Double rsUverovyramecod() {
        return (Double) params.get("RS_UVEROVYRAMECOD");
    }

    public Double rsUverovyramecdo() {
        return (Double) params.get("RS_UVEROVYRAMECDO");
    }

    public String rsTypasistencnisluzby() {
        return (String) params.get("RS_TYPASISTENCNISLUZBY");
    }

    public String rsVariantadruh() {
        return (String) params.get("RS_VARIANTADRUH");
    }

    public Double rsRocniurokovasazbacash() {
        return (Double) params.get("RS_ROCNIUROKOVASAZBACASH");
    }

    public Double rsCelkovasplatnacastka() {
        return (Double) params.get("RS_CELKOVASPLATNACASTKA");
    }

    public Double rsVyseupsellu() {
        return (Double) params.get("RS_VYSEUPSELLU");
    }

    public Long rsPoradizavazku() {
        return (Long) params.get("RS_PORADIZAVAZKU");
    }

    public Long rsDenzuctovacihoobdobi() {
        return (Long) params.get("RS_DENZUCTOVACIHOOBDOBI");
    }

    public Double rsPoplatekotevreni() {
        return (Double) params.get("RS_POPLATEKOTEVRENI");
    }

    public Double rsPoplatekbu() {
        return (Double) params.get("RS_POPLATEKBU");
    }

    public Double rsPoplatekuu() {
        return (Double) params.get("RS_POPLATEKUU");
    }

    public Double rsPoplatekprichozitranskace() {
        return (Double) params.get("RS_POPLATEKPRICHOZITRANSKACE");
    }

    public String rsPoplatekmvk() {
        return (String) params.get("RS_POPLATEKMVK");
    }

    public Double rsPoplatekrvk() {
        return (Double) params.get("RS_POPLATEKRVK");
    }

    public String rsTypvypoctufina() {
        return (String) params.get("RS_TYPVYPOCTUFINA");
    }

    public Double rsFlexilimit() {
        return (Double) params.get("RS_FLEXILIMIT");
    }

    public String rsTypsplaceni() {
        return (String) params.get("RS_TYPSPLACENI");
    }

    public String rsIndexlinearnihosplaceni() {
        return (String) params.get("RS_INDEXLINEARNIHOSPLACENI");
    }

    public Long rsKombinaceKey() {
        return (Long) params.get("RS_KOMBINACE_KEY");
    }

    public String rsRelAccNum() {
        return (String) params.get("RS_REL_ACC_NUM");
    }

    public Double rsMinCrTurnPct() {
        return (Double) params.get("RS_MIN_CR_TURN_PCT");
    }

    public String rsIncentiv() {
        return (String) params.get("RS_INCENTIV");
    }

    public Double rsCastkaprvnihocerpani() {
        return (Double) params.get("RS_CASTKAPRVNIHOCERPANI");
    }

    public String rsPoplatkovyplan() {
        return (String) params.get("RS_POPLATKOVYPLAN");
    }

    public Double rsAutorizacnilimitInternet() {
        return (Double) params.get("RS_AUTORIZACNILIMIT_INTERNET");
    }

    public Double rsVyseposlednisplatky() {
        return (Double) params.get("RS_VYSEPOSLEDNISPLATKY");
    }

    public Double rsCerpVyseposlednisplatky() {
        return (Double) params.get("RS_CERP_VYSEPOSLEDNISPLATKY");
    }

    public Double rsCerpUrokovasazba() {
        return (Double) params.get("RS_CERP_UROKOVASAZBA");
    }

    public Double rsCerpRpsn() {
        return (Double) params.get("RS_CERP_RPSN");
    }

    public Double rsCerpCelkovasplatnacastka() {
        return (Double) params.get("RS_CERP_CELKOVASPLATNACASTKA");
    }

    public String rsBonusPeriodavyplacenibonusu() {
        return (String) params.get("RS_BONUS_PERIODAVYPLACENIBONUSU");
    }

    public Double rsBonusCastka() {
        return (Double) params.get("RS_BONUS_CASTKA");
    }

    public Long rsCerpPocetsplatek() {
        return (Long) params.get("RS_CERP_POCETSPLATEK");
    }

    public Double rsCerpBonusCelkovacastka() {
        return (Double) params.get("RS_CERP_BONUS_CELKOVACASTKA");
    }

    public Double rsCerpBonusRpsn() {
        return (Double) params.get("RS_CERP_BONUS_RPSN");
    }

    public Double rsBonusCelkovavyse() {
        return (Double) params.get("RS_BONUS_CELKOVAVYSE");
    }

    public Double rsCerpBonusUrokovasazba() {
        return (Double) params.get("RS_CERP_BONUS_UROKOVASAZBA");
    }

    public Double rsCerpBonusVyseposlednisplatky() {
        return (Double) params.get("RS_CERP_BONUS_VYSEPOSLEDNISPLATKY");
    }

    public String rsBonusTypvyplacenibonusu() {
        return (String) params.get("RS_BONUS_TYPVYPLACENIBONUSU");
    }

    public Long rsCerpBonusPocetsplatek() {
        return (Long) params.get("RS_CERP_BONUS_POCETSPLATEK");
    }

    public String rsVariantTpId() {
        return (String) params.get("RS_VARIANT_TP_ID");
    }

    public java.util.Date rsDatumzalozeni() {
        return (java.util.Date) params.get("RS_DATUMZALOZENI");
    }

    public java.util.Date rsDatumposlednizmeny() {
        return (java.util.Date) params.get("RS_DATUMPOSLEDNIZMENY");
    }

    public Double rsPrimIntrsRx() {
        return (Double) params.get("RS_PRIM_INTRS_RX");
    }

    public Double rsMinIntrsRx() {
        return (Double) params.get("RS_MIN_INTRS_RX");
    } 

}
